Bug 37991 - Gnome-terminal cannot switsch to another Font
Summary: Gnome-terminal cannot switsch to another Font
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-27 03:28 UTC by Need Real Name
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-12 18:36:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-04-27 03:28:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [de] (X11; U; Linux 2.2.16-22smp i686)


When I would like to switch to another Font in an gnome-terminal, I can not
change
them. I have the following error-message:

Gdk-WARNING **: Missing charsets in FontSet creation


Gdk-WARNING **:     ISO8859-15


Gdk-WARNING **:     ISO8859-15


Reproducible: Always
Steps to Reproduce:
1. Start gnome-terminal
2. "Einstellungen" 
3. Schriftarten, Auswdhlen
4. take to another Font
5. no effect in terminal
	

Actual Results:  Gdk-WARNING **: Missing charsets in FontSet creation


Gdk-WARNING **:     ISO8859-15


Gdk-WARNING **:     ISO8859-15

Comment 1 Havoc Pennington 2001-04-27 15:07:15 UTC
What happens if you toggle the "Use multibyte support" (something like that)
option in preferences?

Comment 2 Need Real Name 2001-04-27 17:51:22 UTC
No effect with _Use multibyte support_

Than I use  xterm and take  Ctrl + right-mouse for font huge. After this I have
to go back to gnome-terminal and... ups now the actual font in gnome-terminal is
bigger, and the function 
for select font  in preferences was reddy

Comment 3 Gabriele Turchi 2001-05-10 17:00:32 UTC
Same problem here. Solved changing default setting for environment 
variable LANG (/etc/sysconfig/i18n) from it_IT@euro to it_IT. 
Annoying bug: it_IT@euro is the default value set on 7.1 italian
installation...

Apparently there are not installed fonts supporting ISO-8859-15
(latin 1 with euro symbol support).

Gabriele Turchi


Comment 4 Kjartan Maraas 2001-06-09 07:02:03 UTC
gnome-terminal is in gnome-core


Comment 5 Havoc Pennington 2001-07-12 18:36:03 UTC
I think the only bug here is that the installer sets locale to @euro, or
alternatively that we lack fonts for @euro. gnome-terminal can't do anything 
if there are no fonts in the current encoding.

Comment 6 Matt Wilson 2001-07-20 21:03:58 UTC
fixed with current XFree; we have iso-8895-15 fonts now.



Note You need to log in before you can comment on or make changes to this bug.